#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

ExcludeArch:    armv5tl

Summary:        Lib for creating events
Name:           eventviews
Epoch:          2
Version: 16.12.3
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz

URL:            https://www.kde.org/

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5UiTools)

BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Codecs)

BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5Libkdepim) >= 5.3.0
BuildRequires:  cmake(KF5CalendarUtils)
BuildRequires:  cmake(KF5CalendarCore)
BuildRequires:  cmake(KF5CalendarSupport)
BuildRequires:  cmake(KF5AkonadiCalendar)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5IdentityManagement)
BuildRequires:  cmake(KGantt)

%description
Lib for creating events.

%files
%_kf5_sysconfdir/xdg/eventviews.categories
%_kf5_sysconfdir/xdg/eventviews.renamecategories
%_kf5_datadir/kservicetypes5/calendardecoration.desktop

#--------------------------------------------------------------------

%define kf5eventviews_major 5
%define libkf5eventviews %mklibname kf5eventviews_ %{kf5eventviews_major}

%package -n %libkf5eventviews
Summary:     Lib for creating events
Group:          System/Libraries

Obsoletes:    %{_lib}eventviews4 < 2:4.14.11
Provides:      %{_lib}eventviews4 = %version-%release

Requires:     %name = %epoch:%version

%description -n %libkf5eventviews
Lib for creating events.

%files -n %libkf5eventviews
%_kf5_libdir/libKF5EventViews.so.%{kf5eventviews_major}*

#--------------------------------------------------------------------

%define kf5eventviews_devel %mklibname kf5eventviews -d

%package -n %kf5eventviews_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5eventviews = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kf5eventviews_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5eventviews_devel
%_kf5_includedir/EventViews
%_kf5_includedir/eventviews
%_kf5_includedir/eventviews_version.h
%_kf5_libdir/libKF5EventViews.so
%_kf5_libdir/cmake/KF5EventViews
%_qt5_prefix/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang --all %{name}5



%changelog
* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090002
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076737
- New version 16.12.0

* Sat Dec 10 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1073958
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067270
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061329
- New version 16.08.2

* Fri Sep 23 2016 neoclust <neoclust> 2:16.08.1-4.mga6
+ Revision: 1055538
- Do not build on armv5tl

* Fri Sep 23 2016 neoclust <neoclust> 2:16.08.1-3.mga6
+ Revision: 1055536
- Add obsoletes to ease upgrade from mga5

* Mon Sep 19 2016 neoclust <neoclust> 2:16.08.1-2.mga6
+ Revision: 1054200
- Rebuild for ARM

* Thu Sep 08 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1050596
- New version 16.08.1

* Fri Sep 02 2016 neoclust <neoclust> 2:16.08.0-3.mga6
+ Revision: 1049744
- Rebuild on arm

* Tue Aug 23 2016 neoclust <neoclust> 2:16.08.0-2.mga6
+ Revision: 1048051
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1039991
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012481
- New version 16.04.1

* Mon Apr 25 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1006044
- New version 16.04.0

* Wed Mar 30 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 996972
- imported package eventviews

